Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - qbs

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: qbs 1.7.1-1

Git Clone URL: https://aur-dev.archlinux.org/qbs.git (read-only)
Package Base: qbs
Description: Qbs: Build tool that helps simplify the build process for developing projects across multiple platforms.
Upstream URL: https://code.qt.io/qt-labs/qbs.git
Licenses: LGPL
Conflicts: qtcreator
Submitter: sirspudd
Maintainer: sirspudd (jakepetroules)
Last Packager: jakepetroules
Votes: 11
Popularity: 0.010473
First Submitted: 2015-09-03 20:50
Last Updated: 2017-01-26 23:21

Latest Comments

sirspudd commented on 2017-02-03 19:20

@jakepetroules

No turkey, I mean the scope of qbs is greater than that defined by qtcreator. It is not confined to being a subtool of the qtcreator project. The _scope_ is a superset of that targeted by qtcreator you nugget.

qtcreator depends on qbs
qbs does not depend on qtcreator

jakepetroules commented on 2017-02-03 19:09

@sirspudd: You mean to say qbs is a subset of Qt Creator, but I've opened a bug report stating that qbs should be moved from AUR into extra so Qt Creator can properly add the dependency.

https://bugs.archlinux.org/task/52834

sirspudd commented on 2017-02-03 18:22

@ecloud: The problem is that qtcreator already provides qbs. This package is only for people who want qbs without qtcreator, which is reasonable as the scope of qbs is a superset of that of Qt Creator.

pacman -Ql qtcreator | grep qbs
qtcreator /usr/bin/qbs

jakepetroules commented on 2017-02-03 17:23

It doesn't conflict with qtcreator for no reason. The qtcreator package needs to add a dependency on this one.

ecloud commented on 2017-02-03 12:51

IMO this package should not conflict with qtcreator. I can't try it until it doesn't conflict, because I use qtcreator every day.

sirspudd commented on 2015-09-09 16:38

@nicolauz: thanks for raising this, it should be fixed now

nicolauz commented on 2015-09-09 12:33

it does install into /usr/ (with sudo) during package creation!
please fix

nicolauz commented on 2015-09-09 12:32

it does install (with sudo) into /usr/...
please fix :)